/// <reference types="react" />
import { IInjectTopItem } from "../../../CommonUI/BuildUI/Topbar";
import { FlowStepSequence } from "../FlowStepSequence";
import { FlowConnection } from "../XFlowConfiguration";
import { BaseDisplayBehavior } from "./BaseDisplayBehavior";
import { ILine } from "./IFlowDisplayBehavior";
export declare class SequenceDisplayBehavior extends BaseDisplayBehavior {
    getShowTopItems(): IInjectTopItem;
    getLine(value: FlowConnection): ILine;
    renderSequenceContent(sequence: FlowStepSequence): JSX.Element;
    renderSequenceTitle(sequence: FlowStepSequence): JSX.Element;
    renderStepStrategy(): JSX.Element;
    renderSequenceStrategy(sequence: FlowStepSequence): JSX.Element;
    renderSequenceActions(sequence: FlowStepSequence): JSX.Element | null;
}
